org.apache.maven.scm.repository

## Class ScmRepository

- java.lang.Object
- - org.apache.maven.scm.repository.ScmRepository

- Direct Known Subclasses:
    ScmRepositoryStub

      public class ScmRepository
      extends Object

  Version:
    $Id: ScmRepository.java 685539 2008-08-13 13:27:27Z vsiveton $
  Author:
    Emmanuel Venisse

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScmRepository(String provider, ScmProviderRepository providerRepository)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getProvider()`
    `ScmProviderRepository` | `getProviderRepository()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ScmRepository

          public ScmRepository(String provider,
                       ScmProviderRepository providerRepository)

  - ### Method Detail

    - #### getProvider

          public String getProvider()

      Returns:
        Returns the provider.

    - #### getProviderRepository

          public ScmProviderRepository getProviderRepository()

      Returns:
        Returns the provider repository.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2003–2015. All rights reserved.